#Eneroth 3D Rotate Tool

#Author:	Julia Christina Eneroth, Eneroth3, eneroth3@gmail.com

#Usage
#	Menu: Tools
#		3D Rotate:	Rotate entities freely around point
#		(I prefer using ALT+Q as shortcut)

#Copyright Julia Christina Eneroth (eneroh3)
#	Free to use both professional and unprofessional.
#	Free to spread as long as credit goes to me.

#Known bugs and issues
#	Can't snap to c-lines in parent drawing contexts or its other children

#Changelog
#	1.0.0 2013-08-05
#		*First release
#	1.0.1 2013-08-09
#		*Fixed error with 4th input point not being selected. turned out tool stopped working either on Sketchup.start_operation or grouping/exploding group.
#	1.0.2
#		*Transparent operations so both rotations can be undone at once
#		*Typos
#	1.0.3 2013-08-15
#		*Fixed edge breaking after rotation in a way that shouldn't cause Sketchup to crash, even with observers attached to the entities
#	1.0.4 2013-08-20
#		*Reinvented edge breaking/splitting since  previous method also could cause the application to crash
#	1.0.5 2013-08-20
#		*Spelling
# 1.0.6
#   *Can now be loaded from other dir than Sketchup's default plugin folder

#Load the normal support files
require 'sketchup.rb'
require 'extensions.rb'


module Ene_3dRotate

PLUGIN_ROOT = File.dirname(__FILE__) unless defined?(self::PLUGIN_ROOT)

ex = SketchupExtension.new "Eneroth三维旋转工具", File.join(PLUGIN_ROOT, "ene_3dRotate/main.rb")
ex.description = "围绕原点自由旋转对象。在三维空间中快速旋转。"
ex.version = "1.0.6"
ex.copyright = "Julia Christina (eneroth3) Eneroth 2013"
ex.creator = "Julia Christina (eneroth3) Eneroth"
Sketchup.register_extension ex, true

end#module